## cairo-dock-plug-ins 3.1.1.1

=== debian/changelog ===
cairo-dock-plug-ins (3.1.1.1-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * Imported Upstream version 3.1.1.1
  * Add dpkg-dev (>= 1.16.1~) to Build-Depends
  * Add dpkg-buildflags for hardening build
  * Fix missing license paragraph: LGPL-2 -> LGPL-2+
  * Drop libthunar-vfs-1-dev in order to use GIO/GVFS directly
    (Closes: #668029)
  * Add patch: Fix spelling error: ressources -> resources

  [ Nobuhiro Iwamatsu ]
  * Update debian/control.
    Switch valac from 0.14 to 0.16. (Closes: #675631)
  * Add cairo-dock-dbus-plug-in-interface-* packages.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 22 Nov 2012 12:09:16 +0900
