=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: extra
DM-Upload-Allowed: yes
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), cmake(>= 2.8.0), dpkg-dev (>= 1.16.1~),
 cairo-dock-dev (>= 3.1.1),
 cli-common-dev [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 libasound2-dev [linux-any],
 libcairo2-dev (>= 1.8.0),
 libcurl4-gnutls-dev,
 libdbus-glib-1-dev,
 libdbusmenu-glib-dev,
 libdbusmenu-gtk-dev (>= 0.4),
 libdbusmenu-gtk-dev,
 libdbusmenu-gtk3-dev,
 libetpan-dev,
 libexif-dev,
 libfftw3-dev,
 libgl1-mesa-dev,
 libglib2.0-cil-dev [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 libglib2.0-dev,
 libglu1-mesa-dev,
 libgnome-keyring-dev,
 libgnome-menu-dev,
 libgnomeui-dev,
 libgnomevfs2-dev,
 libgnutls-dev,
 libgtk2.0-dev,
 libgtkglext1-dev,
#libgvfscommon-dev,
 libical-dev,
 libido3-0.1-dev,
 libindicator3-dev,
 libndesk-dbus-glib1.0-cil-dev [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 libndesk-dbus1.0-cil-dev [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 libpango1.0-dev,
 libpulse-dev,
 librsvg2-dev,
 libsensors4-dev,
# libthunar-vfs-1-dev,
 libupower-glib-dev,
 libvte-2.90-dev,
 libwebkitgtk-3.0-dev,
 libxklavier-dev,
 libxml2-dev,
 libxtst-dev,
 libxxf86vm-dev,
 libzeitgeist-dev,
 mono-devel [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 mono-gmcs [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 python,
 ruby1.9.1,
 ruby1.9.1-dev,
 valac-0.16,
 x11proto-xf86vidmode-dev
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/
Vcs-Git: git://git.debian.org/pkg-cairo-dock/cairo-dock-plug-ins.git
Vcs-Browser: http://git.debian.org/git/pkg-cairo-dock/cairo-dock-plug-ins.git

Package: cairo-dock-plug-ins
Architecture: any
Depends: ${misc:Depends},
  cairo-dock-alsamixer-plug-in [linux-any],
  cairo-dock-animated-icons-plug-in,
  cairo-dock-cairo-penguin-plug-in,
  cairo-dock-clipper-plug-in,
  cairo-dock-clock-plug-in,
  cairo-dock-dbus-plug-in,
  cairo-dock-desklet-rendering-plug-in,
  cairo-dock-dialog-rendering-plug-in,
  cairo-dock-drop-indicator-plug-in,
  cairo-dock-dustbin-plug-in,
  cairo-dock-icon-effect-plug-in,
  cairo-dock-illusion-plug-in,
  cairo-dock-logout-plug-in,
  cairo-dock-motion-blur-plug-in,
  cairo-dock-netspeed-plug-in,
  cairo-dock-powermanager-plug-in,
  cairo-dock-quick-browser-plug-in,
  cairo-dock-rendering-plug-in,
  cairo-dock-shortcuts-plug-in,
  cairo-dock-showdesktop-plug-in,
  cairo-dock-showmouse-plug-in,
  cairo-dock-slider-plug-in,
  cairo-dock-stack-plug-in,
  cairo-dock-switcher-plug-in,
  cairo-dock-systray-plug-in,
  cairo-dock-tomboy-plug-in,
  cairo-dock-toons-plug-in,
  cairo-dock-weather-plug-in,
  cairo-dock-wifi-plug-in,
  cairo-dock-xgamma-plug-in,
  cairo-dock-gmenu-plug-in,
  cairo-dock-keyboard-indicator-plug-in,
  cairo-dock-terminal-plug-in,
  cairo-dock-mail-plug-in,
  cairo-dock-rssreader-plug-in,
  cairo-dock-system-monitor-plug-in,
  cairo-dock-dnd2share-plug-in,
  cairo-dock-musicplayer-plug-in,
  cairo-dock-weblets-plug-in,
  cairo-dock-folders-plug-in,
  cairo-dock-impulse-plug-in,
  cairo-dock-messaging-menu-plug-in,
  cairo-dock-recent-events-plug-in,
  cairo-dock-remote-control-plug-in
#  cairo-dock-gnome-integration-plug-in,
#  cairo-dock-kde-integration-plug-in,
#  cairo-dock-xfce-integration-plug-in
#  cairo-dock-scooby-do-plug-in,
#  cairo-dock-network-monitor-plug-in
#  cairo-dock-compiz-icon-plug-in,
Conflicts: cairo-dock-plugins (<< 2.4.0~2-1)
Replaces: cairo-dock-plugins (<< 2.4.0~2-1)
Description: Cairo-dock - All plug-ins
 A collection of official plug-ins and applets for cairo-dock.
 .
 This is a metapackage depending on all available cairo-dock plug-ins to make
 installation easier.

Package: cairo-dock-plug-in-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: cairo-dock-plugin-data (<< 2.4.0~2-1)
Replaces: cairo-dock-plugin-data (<< 2.4.0~2-1)
Description: Cairo-dock - Plug-in data files
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides plug-in data files.

Package: cairo-dock-alsamixer-plug-in
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Alsamixer plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you control the sound volume from the dock.
 This works with the Alsa sound driver.

Package: cairo-dock-animated-icons-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Animated icons plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides many different animations for your icons.

Package: cairo-dock-cairo-penguin-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Cairo-Penguin plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a lively Penguin in your dock.
 Tux images are taken from Pingus, some other characters are available
 or can be added easily.

Package: cairo-dock-clipper-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Clipper plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in keeps a trace of the clipboard and mouse selection,
 so that you can recall them quickly. It's a clone of the well-know Klipper.
 This supports clipboard and mouse selection, predefined actions, and
 persistent items.

Package: cairo-dock-clock-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Clock plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays time and date in your dock.
 Two views are available : numeric and analogic, based on Cairo-Clock.
 This is compatible with the Cairo-Clock's themes, and you can detach itself to
 be a perfect clone of Cairo-Clock.
 And this supports alarms, and a basic calendar, and allows you to set time
 and date.

Package: cairo-dock-dbus-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Suggests: cairo-dock-dbus-plug-in-interface-python (>= ${source:Version}),
	cairo-dock-dbus-plug-in-interface-ruby (>= ${source:Version}),
	cairo-dock-dbus-plug-in-interface-mono (>= ${source:Version}),
	cairo-dock-dbus-plug-in-interface-vala (>= ${source:Version})
Description: Cairo-dock - Dbus plug-in
 A collection of official plug-ins and applets for cairo-dock
 .
 This plug-in lets external applications interact on the dock.
 The communication between both sides is based on Dbus.

Package: cairo-dock-dbus-plug-in-interface-python
Architecture: all
Depends: cairo-dock-dbus-plug-in (>= ${source:Version}), ${misc:Depends}, python
Description: Cairo-dock - library of D-Bus interface for python
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of D-Bus interface for python.

Package: cairo-dock-dbus-plug-in-interface-ruby
Architecture: all
Depends: cairo-dock-dbus-plug-in (>= ${source:Version}), ${misc:Depends}, ruby
Description: Cairo-dock - library of D-Bus interface for ruby
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of D-Bus interface for ruby.

Package: cairo-dock-dbus-plug-in-interface-mono
Architecture: amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc
Depends: cairo-dock-dbus-plug-in (>= ${source:Version}), ${misc:Depends}, ${cli:Depends}
Description: Cairo-dock - library of D-Bus interface for mono
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of D-Bus interface for mono

Package: cairo-dock-dbus-plug-in-interface-vala
Architecture: any
Depends: cairo-dock-dbus-plug-in (>= ${source:Version}), ${shlibs:Depends},
	${misc:Depends}, valac
Description: Cairo-dock - library of D-Bus interface for vala
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of D-Bus interface for vala.

Package: cairo-dock-desklet-rendering-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts:cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Desklet rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in renders your desktop.

Package: cairo-dock-dialog-rendering-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Dialog rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides some dialog decorators for dialog bubbles.

Package: cairo-dock-drop-indicator-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-drop-indicator-plugin  (<< 2.4.0~2-1)
Replaces: cairo-dock-drop-indicator-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Drop indicator plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays an animated indicator when you drop something
 in the dock.

Package: cairo-dock-dustbin-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Dustbin plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in manages the dustbin.
 Users can delete files and unmount disks by drag and dropping them on
 the icon.
 This can warn users if they use too much space.

Package: cairo-dock-icon-effect-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Icon effect plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds many special effects to your icons.

Package: cairo-dock-illusion-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Illusion plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides animations for appearance and disappearance of icons.

Package: cairo-dock-logout-plug-in
Architecture: any
