=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

DEB_CMAKE_EXTRA_FLAGS += \
	-DROOT_PREFIX=$(CURDIR)/debian/tmp

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

install/ruby-cdapplet::
	install -m 644 -D debian/tmp/usr/lib/ruby/1.9.1/CDApplet.rb \
		debian/tmp/usr/lib/ruby/vendor_ruby/1.9.1/CDApplet.rb

common-binary-predeb-arch::
	dh_clifixperms
	dh_clideps -d
